Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TEnableEventList

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Subinterfaces:
  TProcessEvents, TScopeEvents

All Known Implementing Classes:
  TEnableEventListImpl, TProcessEventsImpl, TScopeEventsImpl

    public interface TEnableEventList

extends org.apache.xmlbeans.XmlObject

An XML tEnableEventList(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TEnableEventList.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`void` | `addEnableEvent(java.lang.String enableEvent)` Appends the value as the last "enable-event" element
`org.apache.xmlbeans.XmlString` | `addNewEnableEvent()` Appends and returns a new empty value (as xml) as the last "enable-event" element
`java.lang.String[]` | `getEnableEventArray()` Deprecated.
`java.lang.String` | `getEnableEventArray(int i)` Gets ith "enable-event" element
`java.util.List<java.lang.String>` | `getEnableEventList()` Gets a List of "enable-event" elements
`void` | `insertEnableEvent(int i, java.lang.String enableEvent)` Inserts the value as the ith "enable-event" element
`org.apache.xmlbeans.XmlString` | `insertNewEnableEvent(int i)` Inserts and returns a new empty value (as xml) as the ith "enable-event" element
`void` | `removeEnableEvent(int i)` Removes the ith "enable-event" element
`void` | `setEnableEventArray(int i, java.lang.String enableEvent)` Sets ith "enable-event" element
`void` | `setEnableEventArray(java.lang.String[] enableEventArray)` Sets array of all "enable-event" element
`int` | `sizeOfEnableEventArray()` Returns number of "enable-event" element
`org.apache.xmlbeans.XmlString[]` | `xgetEnableEventArray()` Deprecated.
`org.apache.xmlbeans.XmlString` | `xgetEnableEventArray(int i)` Gets (as xml) ith "enable-event" element
`java.util.List<org.apache.xmlbeans.XmlString>` | `xgetEnableEventList()` Gets (as xml) a List of "enable-event" elements
`void` | `xsetEnableEventArray(int i, org.apache.xmlbeans.XmlString enableEvent)` Sets (as xml) ith "enable-event" element
`void` | `xsetEnableEventArray(org.apache.xmlbeans.XmlString[] enableEventArray)` Sets (as xml) array of all "enable-event" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getEnableEventList

    java.util.List<java.lang.String> getEnableEventList()

  Gets a List of "enable-event" elements

### getEnableEventArray

    java.lang.String[] getEnableEventArray()

  Deprecated.

  Gets array of all "enable-event" elements

### getEnableEventArray

    java.lang.String getEnableEventArray(int i)

  Gets ith "enable-event" element

### xgetEnableEventList

    java.util.List<org.apache.xmlbeans.XmlString> xgetEnableEventList()

  Gets (as xml) a List of "enable-event" elements

### xgetEnableEventArray

    org.apache.xmlbeans.XmlString[] xgetEnableEventArray()

  Deprecated.

  Gets (as xml) array of all "enable-event" elements

### xgetEnableEventArray

    org.apache.xmlbeans.XmlString xgetEnableEventArray(int i)

  Gets (as xml) ith "enable-event" element

### sizeOfEnableEventArray

    int sizeOfEnableEventArray()

  Returns number of "enable-event" element

### setEnableEventArray

    void setEnableEventArray(java.lang.String[] enableEventArray)

  Sets array of all "enable-event" element

### setEnableEventArray

    void setEnableEventArray(int i,
                             java.lang.String enableEvent)

  Sets ith "enable-event" element

### xsetEnableEventArray

    void xsetEnableEventArray(org.apache.xmlbeans.XmlString[] enableEventArray)

  Sets (as xml) array of all "enable-event" element

### xsetEnableEventArray

    void xsetEnableEventArray(int i,
                              org.apache.xmlbeans.XmlString enableEvent)

  Sets (as xml) ith "enable-event" element

### insertEnableEvent

    void insertEnableEvent(int i,
                           java.lang.String enableEvent)

  Inserts the value as the ith "enable-event" element

### addEnableEvent

    void addEnableEvent(java.lang.String enableEvent)

  Appends the value as the last "enable-event" element

### insertNewEnableEvent

    org.apache.xmlbeans.XmlString insertNewEnableEvent(int i)

  Inserts and returns a new empty value (as xml) as the ith "enable-event" element

### addNewEnableEvent

    org.apache.xmlbeans.XmlString addNewEnableEvent()

  Appends and returns a new empty value (as xml) as the last "enable-event" element

### removeEnableEvent

    void removeEnableEvent(int i)

  Removes the ith "enable-event" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD